Name:           sticky
Version:        1.24
Release:        %mkrel 2
Summary:        A notes app for the linux desktop
Group:          Office/Organizer
License:        GPLv2
URL:            https://github.com/linuxmint/sticky
Source:         https://github.com/linuxmint/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  meson
BuildRequires:  desktop-file-utils

Requires:       python3-gobject
Requires:       python3-setuptools
Requires:       python3-pip
Requires:       xapps
Requires:       python3-xapp

%description
Sticky is a note-taking app for the Linux desktop.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_usr}/lib/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.x.sticky.gschema.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_iconsdir}/hicolor/scalable/apps/%{name}-symbolic.svg
%{_iconsdir}/hicolor/scalable/status/%{name}*.svg
%{_datadir}/%{name}/
%{_sysconfdir}/xdg/autostart/sticky.desktop
%{_datadir}/dbus-1/services/org.x.sticky.service


%changelog
* Tue Feb 04 2025 daviddavid <daviddavid> 1.24-2.mga10
+ Revision: 2145190
- fix some owner dir
- use a named-versioned git tarball
- use %%find_lang macros

* Tue Feb 04 2025 papoteur <papoteur> 1.24-1.mga10
+ Revision: 2145185
- new version 1.24
- new version 1.24
+ joequant <joequant>
- imported package sticky


* Fri Feb 17 2023 Ziyang Li <paseaf@me.com> - 1.14-1
- Initial release
